Security Update for Microsoft Internet Explorer

  TOPCAT® 13:53 05 Jun 2003
Locked

Ho,hum. Yet another one! Support only for Internet Explorer 5.01, Internet Explorer 5.5 and Internet Explorer 6.0. Older IE versions not supported. TC.

click here

  TOPCAT® 17:37 05 Jun 2003

Downloaded on WinMe and runs without glitches.

Steinman

It took me three attempts to get it, so I reckon there's must be plenty worldwide trying to download it. TC.

  Stuartli 17:54 05 Jun 2003

Downloaded it the other day - no problems.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

OnePlus 6T to be sold on contract in UK from O2, EE and Vodafone

Adobe takes the limits off Typekit, renames to Adobe Fonts

Surface Laptop 2 vs MacBook Pro

Où acheter un Mac ?